org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.RDDReplaceFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDReplaceFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>

Enclosing class:
  ParameterizedBuiltinSPInstruction

    public static class ParameterizedBuiltinSPInstruction.RDDReplaceFunction
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RDDReplaceFunction(double pattern, double replacement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDDReplaceFunction

    public RDDReplaceFunction(double pattern,
                              double replacement)

### Method Detail

#### call

    public MatrixBlock call(MatrixBlock arg0)

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>`